> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

## Added

* **On Demand Payroll** → [Attach entries to On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/attach-on-demand-payroll-entries-v-2026-07-31): Endpoint is now available, which allows to attach existing eligible entries to an On-Demand Payroll that is awaiting client review before submission.

* **On Demand Payroll** → [Detach entries from On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/detach-on-demand-payroll-entries-v-2026-07-31): Endpoint is now available, which allows to detach entries from an On-Demand Payroll, moving them to regular payroll or permanently deleting them before the ODP is submitted.

* **On Demand Payroll** → [Cancel On-Demand Payroll](/api/reference/endpoints/on-demand-payroll/cancel-on-demand-payroll-v-2026-07-31): Endpoint is now available, which allows to cancel an On-Demand Payroll, optionally keeping specified entries available for a future regular payroll cycle.

* **Time Off** → [Get time-off attachment download URL](/api/reference/endpoints/time-off/get-time-off-attachment-download-url-v-2026-07-31): Endpoint is now available, which allows to retrieve a short-lived presigned URL to download a time-off attachment directly from object storage.

## Changed

* **Webhooks** → [Update a webhook](/api/reference/endpoints/webhooks/update-webhook): Added `include_child_orgs` field in the request body and response that indicates whether the webhook will receive events from child organizations.

* **Webhooks** → [Create a webhook](/api/reference/endpoints/webhooks/create-webhook): Added `include_child_orgs` in the request and response that indicates whether the webhook will also receive events from child organizations.

* **Webhooks** → [List webhooks](/api/reference/endpoints/webhooks/get-webhooks): Added `include_child_orgs` in the response that indicates whether the webhook will also receive events from child organizations.

* **Cost Calculator** → [Calculate Employee Costs Globally](/api/reference/endpoints/cost-calculator/get-employment-cost): Added `salary_period` to the request body that specifies the salary period for the amount provided, and added `employer_annual_costs` to the response that contains costs incurred by the employer for cost items with an annual payment frequency.